Page MenuHomeFreeBSD

Update devel/qbs to 1.7.2
ClosedPublic

Authored by tcberner on Apr 27 2017, 6:02 AM.

Details

Reviewers
rakuco
mat
Group Reviewers
kde
Commits
rP440020: Update devel/qbs to 1.7.2.
Summary
  • Add shebangfix, and bash as run-depends

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 8963
Build 9356: arc lint + arc unit

Event Timeline

tcberner created this revision.Apr 27 2017, 6:02 AM
mat added inline comments.Apr 27 2017, 10:30 AM
devel/qbs/Makefile
16

Does it really need bash ? Or does it just have a /bin/bash shebang and would work just fine with /bin/sh ?

The shellscript is xcode related anyway. So maybe we could just not install it as an alternative.

mat edited edge metadata.Apr 27 2017, 12:40 PM

Sounds even better :-)

tcberner updated this revision to Diff 27805.Apr 28 2017, 5:55 AM

I don't think we can easily get rid of the 'bundle' module.
As it is not needed, just don't add bash as a dependency.

mat added a comment.Apr 28 2017, 6:43 AM

You could also simply remove the file in post-install :-)

It would avoid patching it, and packaging it :-)

It's part of a whole module of qbs. I'm not sure yet, how that would beave if one of its files is missing.

tcberner updated this revision to Diff 27824.Apr 28 2017, 4:59 PM

Rather than pulling in shebangfix, just patch the file to want /bin/sh.

tcberner updated this revision to Diff 27826.Apr 28 2017, 5:23 PM

The patch created a .orig file, which also wants to be installed. So just use sed, and call it a day, right? :D

mat added a comment.May 2 2017, 3:03 PM

But why don't you just remove it in post-install ?

tcberner updated this revision to Diff 27934.May 2 2017, 4:39 PM

rm all the things

jhale added a subscriber: jhale.May 3 2017, 11:32 AM

Spelling police.

devel/qbs/Makefile
48

Typo here: "shut op." Would probably read better as "silence." "Shut up" usually has a negative connotation.

tcberner updated this revision to Diff 27973.May 3 2017, 11:35 AM

Correct language.

tcberner marked an inline comment as done.May 3 2017, 11:35 AM
mat accepted this revision.May 3 2017, 11:39 AM
This revision is now accepted and ready to land.May 3 2017, 11:39 AM
rakuco accepted this revision.May 3 2017, 12:17 PM
This revision was automatically updated to reflect the committed changes.